package cn.com.ctop.job.live.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 直播计划报对象 kuaishou_live_campaign_report_daily
 */
@Data
public class KuaishouLiveCampaignReportDaily {
    private static final long serialVersionUID = 1L;

    /**
     * 账户id
     */
    private Long accountId;

    /**
     * 计划id
     */
    private Long campaignId;

    /**
     * 计划名称
     */
    @Excel(name = "计划名称")
    private String campaignName;

    /**
     * 营销目标
     */
    @Excel(name = "营销目标")
    private String campaignTypeStr;

    /**
     * 花费
     */
    @Excel(name = "花费")
    private Long costTotal;

    /**
     * 曝光数
     */
    @Excel(name = "曝光数")
    private Long adShow;

    /**
     * 平均千次广告曝光花费
     */
    @Excel(name = "平均千次广告曝光花费")
    private Long adShow1kCost;

    /**
     * 封面曝光数
     */
    @Excel(name = "封面曝光数")
    private Long impression;

    /**
     * 封面点击数
     */
    @Excel(name = "封面点击数")
    private Long photoClick;

    /**
     * 封面点击率
     */
    @Excel(name = "封面点击率")
    private BigDecimal photoClickRatio;

    /**
     * 素材曝光数
     */
    @Excel(name = "素材曝光数")
    private Long click;

    /**
     * 行为数
     */
    @Excel(name = "行为数")
    private Long actionbarClick;

    /**
     * 行为成本
     */
    @Excel(name = "行为成本")
    private Long actionbarClickCost;

    /**
     * 行为率
     */
    @Excel(name = "行为率")
    private BigDecimal espClickRatio;

    /**
     * 素材点击率
     */
    @Excel(name = "素材点击率")
    private BigDecimal actionRatio;

    /**
     * 组件点击数
     */
    @Excel(name = "组件点击数")
    private Long adItemClickCount;

    /**
     * 直播平均观看时长
     */
    @Excel(name = "直播平均观看时长")
    private Long espLivePlayedSeconds;

    /**
     * 作品3秒播放数
     */
    @Excel(name = "作品3秒播放数")
    private Long playedThreeSeconds;

    /**
     * 作品3秒播放率
     */
    @Excel(name = "作品3秒播放率")
    private BigDecimal play3sRatio;

    /**
     * 作品5秒播放数
     */
    @Excel(name = "作品5秒播放数")
    private Long playedFiveSeconds;

    /**
     * 作品5秒播放率
     */
    @Excel(name = "作品5秒播放率")
    private BigDecimal play5sRatio;

    /**
     * 作品完播数
     */
    @Excel(name = "作品完播数")
    private Long playedEnd;

    /**
     * 作品完播率
     */
    @Excel(name = "作品完播率")
    private BigDecimal playEndRatio;

    /**
     * 作品分享数
     */
    @Excel(name = "作品分享数")
    private Long share;

    /**
     * 作品评论数
     */
    @Excel(name = "作品评论数")
    private Long comment;

    /**
     * 作品点赞数
     */
    @Excel(name = "作品点赞数")
    private Long likes;

    /**
     * 作品举报数
     */
    @Excel(name = "作品举报数")
    private Long report;

    /**
     * 作品拉黑数
     */
    @Excel(name = "作品拉黑数")
    private Long block;

    /**
     * 详情页减少此类作品数
     */
    @Excel(name = "详情页减少此类作品数")
    private Long itemNegative;

    /**
     * 直播间分享数
     */
    @Excel(name = "直播间分享数")
    private Long liveShare;

    /**
     * 直播间评论数
     */
    @Excel(name = "直播间评论数")
    private Long liveComment;

    /**
     * 直播间送礼数
     */
    @Excel(name = "直播间送礼数")
    private Long liveReward;

    /**
     * 有效播放数
     */
    @Excel(name = "有效播放数")
    private Long effectivePlayCount;

    /**
     * 有效播放率
     */
    @Excel(name = "有效播放率")
    private BigDecimal effectivePlayRatio;

    /**
     * 直播间停留1min
     */
    @Excel(name = "直播间停留1min")
    private Long adLivePlayed1mNum;

    /**
     * 转化数
     */
    @Excel(name = "转化数")
    private Long conversionNum;

    /**
     * 转化成本
     */
    @Excel(name = "转化成本")
    private Long conversionCostEsp;

    /**
     * 直接GMV
     */
    @Excel(name = "直接GMV")
    private Long gmv;

    /**
     * 当日累计GMV
     */
    @Excel(name = "当日累计GMV")
    private Long t0Gmv;

    /**
     * 次日累计GMV
     */
    @Excel(name = "次日累计GMV")
    private Long t1Gmv;

    /**
     * 7日累计GMV
     */
    @Excel(name = "7日累计GMV")
    private Long t7Gmv;

    /**
     * 15日累计GMV
     */
    @Excel(name = "15日累计GMV")
    private Long t15Gmv;

    /**
     * 30日累计GMV
     */
    @Excel(name = "30日累计GMV")
    private Long t30Gmv;

    /**
     * 直接ROI
     */
    @Excel(name = "直接ROI")
    private BigDecimal roi;

    /**
     * 当日累计ROI
     */
    @Excel(name = "当日累计ROI")
    private BigDecimal t0Roi;

    /**
     * 次日累计ROI
     */
    @Excel(name = "次日累计ROI")
    private BigDecimal t1Roi;

    /**
     * 7日累计ROI
     */
    @Excel(name = "7日累计ROI")
    private BigDecimal t7Roi;

    /**
     * 15日累计ROI
     */
    @Excel(name = "15日累计ROI")
    private BigDecimal t15Roi;

    /**
     * 30日累计ROI
     */
    @Excel(name = "30日累计ROI")
    private BigDecimal t30Roi;

    /**
     * 直接订单数
     */
    @Excel(name = "直接订单数")
    private Long paiedOrder;

    /**
     * 直接下单率
     */
    @Excel(name = "直接下单率")
    private BigDecimal orderRatio;

    /**
     * 当日累计订单数
     */
    @Excel(name = "当日累计订单数")
    private Long t0OrderCnt;

    /**
     * 当日累计订单成本
     */
    @Excel(name = "当日累计订单成本")
    private Long t0OrderCntCost;

    /**
     * 累计订单下单率
     */
    @Excel(name = "累计订单下单率")
    private BigDecimal t0OrderCntRatio;

    /**
     * 次日累计订单数
     */
    @Excel(name = "次日累计订单数")
    private Long t1OrderCnt;

    /**
     * 7日累计订单数
     */
    @Excel(name = "7日累计订单数")
    private Long t7OrderCnt;

    /**
     * 15日累计订单数
     */
    @Excel(name = "15日累计订单数")
    private Long t15OrderCnt;

    /**
     * 30日累计订单数
     */
    @Excel(name = "30日累计订单数")
    private Long t30OrderCnt;

    /**
     * 涨粉数
     */
    @Excel(name = "涨粉数")
    private Long merchantRecoFans;

    /**
     * 次日涨粉留存数
     */
    @Excel(name = "次日涨粉留存数")
    private Long t1Retention;

    /**
     * 7日涨粉留存数
     */
    @Excel(name = "7日涨粉留存数")
    private Long t7Retention;

    /**
     * 15日涨粉留存数
     */
    @Excel(name = "15日涨粉留存数")
    private Long t15Retention;

    /**
     * 30日涨粉留存数
     */
    @Excel(name = "30日涨粉留存数")
    private Long t30Retention;

    /**
     * 次日涨粉留存率
     */
    @Excel(name = "次日涨粉留存率")
    private BigDecimal t1RetentionRatio;

    /**
     * 7日涨粉留存率
     */
    @Excel(name = "7日涨粉留存率")
    private BigDecimal t7RetentionRatio;

    /**
     * 15日涨粉留存率
     */
    @Excel(name = "15日涨粉留存率")
    private BigDecimal t15RetentionRatio;

    /**
     * 30日涨粉留存率
     */
    @Excel(name = "30日涨粉留存率")
    private BigDecimal t30RetentionRatio;

    /**
     * 预约成功数
     */
    @Excel(name = "预约成功数")
    private Long reservationSuccess;

    /**
     * 预约成功成本
     */
    @Excel(name = "预约成功成本")
    private Long reservationCost;

    /**
     * 直播观看数
     */
    @Excel(name = "直播观看数")
    private Long standardLivePlayedStarted;

    /**
     * 直播观看成本
     */
    @Excel(name = "直播观看成本")
    private Long liveAudienceCost;

    /**
     * 直播间商品点击数
     */
    @Excel(name = "直播间商品点击数")
    private Long liveEventGoodsView;

    /**
     * 直播间商品点击率
     */
    @Excel(name = "直播间商品点击率")
    private BigDecimal goodsClickRatio;

    /**
     * 直接平台新客
     */
    @Excel(name = "直接平台新客")
    private Long directAttrPlatNewBuyerCnt;

    /**
     * 30日累计平台新客
     */
    @Excel(name = "30日累计平台新客")
    private Long t30AttrPlatTotalBuyerCnt;

    /**
     * 直接店铺新客
     */
    @Excel(name = "直接店铺新客")
    private Long directAttrSellerNewBuyerCnt;

    /**
     * 30日累计店铺新客
     */
    @Excel(name = "30日累计店铺新客")
    private Long t30AttrSellerTotalBuyerCnt;

    /**
     * 涨粉当日GMV
     */
    @Excel(name = "涨粉当日GMV")
    private Long fansT0Gmv;

    /**
     * 涨粉次日GMV
     */
    @Excel(name = "涨粉次日GMV")
    private Long fansT1Gmv;

    /**
     * 涨粉7日GMV
     */
    @Excel(name = "涨粉7日GMV")
    private Long fansT7Gmv;

    /**
     * 涨粉15日GMV
     */
    @Excel(name = "涨粉15日GMV")
    private Long fansT15Gmv;

    /**
     * 涨粉30日GMV
     */
    @Excel(name = "涨粉30日GMV")
    private Long fansT30Gmv;

    /**
     * 涨粉当日ROI
     */
    @Excel(name = "涨粉当日ROI")
    private BigDecimal fansT0Roi;

    /**
     * 涨粉次日ROI
     */
    @Excel(name = "涨粉次日ROI")
    private BigDecimal fansT1Roi;

    /**
     * 涨粉7日ROI
     */
    @Excel(name = "涨粉7日ROI")
    private BigDecimal fansT7Roi;

    /**
     * 涨粉15日ROI
     */
    @Excel(name = "涨粉15日ROI")
    private BigDecimal fansT15Roi;

    /**
     * 涨粉30日ROI
     */
    @Excel(name = "涨粉30日ROI")
    private BigDecimal fansT30Roi;

    /**
     * 时间分区
     */
    private Long reportDate;

    private Integer hour;
}
