package cn.com.ctop.job.live.service.impl;

import cn.com.ctop.job.live.entity.KuaishouLiveVideoList;
import cn.com.ctop.job.live.mapper.KuaishouLiveVideoListMapper;
import cn.com.ctop.job.live.service.IKuaishouLiveVideoListService;
import cn.com.ctop.job.live.utils.DateUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 素材Service业务层处理
 *
 * @author ruoyi
 * @date 2022-07-28
 */
@Slf4j
@Service
public class KuaishouLiveVideoListServiceImpl implements IKuaishouLiveVideoListService {
    @Autowired
    private KuaishouLiveVideoListMapper kuaishouLiveVideoListMapper;

    /**
     * 查询素材
     *
     * @param accountId 素材主键
     * @return 素材
     */
    @Override
    public KuaishouLiveVideoList selectKuaishouLiveVideoListByAccountId(Long accountId) {
        return kuaishouLiveVideoListMapper.selectKuaishouLiveVideoListByAccountId(accountId);
    }

    /**
     * 查询素材列表
     *
     * @param kuaishouLiveVideoList 素材
     * @return 素材
     */
    @Override
    public List<KuaishouLiveVideoList> selectKuaishouLiveVideoListList(KuaishouLiveVideoList kuaishouLiveVideoList) {
        return kuaishouLiveVideoListMapper.selectKuaishouLiveVideoListList(kuaishouLiveVideoList);
    }

}
